This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 202234 - dbus says gdmsetup is a naughty boy
dbus says gdmsetup is a naughty boy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 14:07 EDT by Bill Nottingham
Modified: 2014-03-16 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 15:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-08-11 14:07:13 EDT
$ gdmsetup 

(gdmsetup:20034): libgnomevfs-WARNING **: Failed to open session DBUS
connection: Unable to determine the address of the message bus (try 'man
dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.
20034: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.
20034: arguments to dbus_connection_send_with_reply_and_block() were incorrect,
assertion "connection != NULL" failed in file dbus-connection.c line 2769.
This is normally a bug in some application using the D-BUS library.

gdm-2.15.7-1.fc6
Comment 1 Ray Strode [halfline] 2006-08-11 14:20:23 EDT
maybe DBUS_SESSION_BUS_ADDRESS is getting filtered out of the environment when
run through console helper.
Comment 2 Bill Nottingham 2006-08-11 14:34:30 EDT
Don't think that's it:

[notting@nostromo: ~]$ su
[root@nostromo notting]# set| grep DB
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-yQi4sDasgi,guid=12cddc44ff876938833adda29bcd3600
[root@nostromo notting]# gdmsetup 

(gdmsetup:20755): libgnomevfs-WARNING **: Failed to open session DBUS
connection: Unable to determine the address of the message bus (try 'man
dbus-launch' and 'man dbus-daemon' for help)
Volume monitoring will not work.
...
Comment 4 Matthias Clasen 2006-10-17 15:40:04 EDT
Should be fixed in the current tree

Note You need to log in before you can comment on or make changes to this bug.